Installing Citrix client on LMDE 15

Archived topics about LMDE 1
Forum rules
Thinktank
Level 1
Level 1
Posts: 7
Joined: Mon Sep 23, 2013 8:26 am

Installing Citrix client on LMDE 15

Postby Thinktank » Fri Oct 04, 2013 8:36 am

I can't get this to work. I have downloaded the .deb from citrix.com, but it displays a missing dependency lib32asound2.

I am running 64bit Mint15 and have installed the ia32-libs package. Really need a working Citrix client for work. Any ideas?

tvicol
Level 1
Level 1
Posts: 6
Joined: Wed Oct 23, 2013 2:43 am

Re: Installing Citrix client on LMDE 15

Postby tvicol » Wed Oct 23, 2013 10:11 am

me too ... please some help !!!

Monsta
Level 9
Level 9
Posts: 2936
Joined: Fri Aug 19, 2011 3:46 am

Re: Installing Citrix client on LMDE 15

Postby Monsta » Thu Oct 24, 2013 2:41 am

Since most of the people here probably have no idea what software you're talking about, you'll have to point us to the exact webpage where you've downloaded it from.

Fesiitis
Level 1
Level 1
Posts: 47
Joined: Sun Feb 19, 2012 8:02 am

Re: Installing Citrix client on LMDE 15

Postby Fesiitis » Thu Oct 24, 2013 5:19 am

I can't find Citrix client app in citrix.com homepage, but I think this is same problem with TeamViewer app. Just try to install x86 based version, not x64. When I try install x64 based TeamViewer I receive same error message that there is missing dependencies. With x86 based version installation success with no errors. It's because lib32asound is now replaced with libasound2 or something like that, I don't remember.

Monsta
Level 9
Level 9
Posts: 2936
Joined: Fri Aug 19, 2011 3:46 am

Re: Installing Citrix client on LMDE 15

Postby Monsta » Thu Oct 24, 2013 5:38 am

No, it's because we have multiarch now and lib32asound2 is obsolete (in fact, it's not present in Testing anymore).
As you correctly mentioned, the solution is to install 32-bit version in your 64-bit system. That's what multiarch is for, after all. :)

tvicol
Level 1
Level 1
Posts: 6
Joined: Wed Oct 23, 2013 2:43 am

Re: Installing Citrix client on LMDE 15

Postby tvicol » Tue Oct 29, 2013 11:31 am

Thanks ! Got it working using x86 package.
However you need to edit /var/lib/dpkg/info/icaclient.postinst
as per advice on this thread http://forums.citrix.com/message.jspa?messageID=1640253

QUOTE
Here's what I did to get it to install:
1. Install the .deb and let it fail
2. Edit /var/lib/dpkg/info/icaclient.postinst
3. Replace the line that says echo $Arch|grep "i[0-9]86" >/dev/null with *echo $Arch|grep -E "i[0-9]86|x86_64" >/dev/null (note the -E after grep!)
4. Run dpkg --configure icaclient
UNQUOTE


Return to “Archive”

Who is online

Users browsing this forum: No registered users and 1 guest